package com.unis.user.server.common;

import org.springframework.cloud.stream.annotation.Output;
import org.springframework.messaging.MessageChannel;

/**
 * 
 * @ClassName: IntegrationProcess 
 * @Description: 自定义channel 
 * @author xmpu
 * @date 2018年11月27日 下午2:34:56 
 * 
 * @version v1.0
 */
public interface IntegrationProcess {

    public static final String OUTPUT = "ynls_output"; // 输出通道名称
    
    @Output(IntegrationProcess.OUTPUT)
    public MessageChannel output();
}
