/*
package com.unis.user.server.common.logconfig;

import com.unis.common.utils.CurrentUtils;
import com.unis.user.server.untils.ResponseWrapper;
import org.apache.commons.lang.StringUtils;
import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.AfterThrowing;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;


*/
/**
 * 功能描述: aop 采集日志
 *
 * @Auther: 蒋青茂
 * @Date: 2018/6/10 09:36
 *//*

@Aspect
@Component
@SuppressWarnings("all")
public class LogConfig {

    @Autowired
    private LogRepository logRepository;

    @Autowired
    private CurrentUtils currentUtils;

    */
/**
     * 添加业务逻辑方法切入点
     * 匹配save方法
     *//*

    @Pointcut("execution(* com.unis.user.server.controller.*.save(..))")
    public void saveCell() {
    }

    */
/**
     * 修改业务逻辑方法切入点
     * update方法
     *//*

    @Pointcut("execution(* com.unis.user.server.controller.*.update(..))")
    public void updateCell() {
    }

    */
/**
     * 删除业务逻辑方法切入点
     *//*

    @Pointcut("execution(* com.unis.user.server.controller.*.deletes(..))")
    public void deleteCell() {
    }


    */
/**
     * 日志--保存操作(后置通知)
     *
     * @param joinPoint
     * @param object
     *//*

    @AfterReturning(value = "saveCell()", returning = "object")
    public void saveLog(JoinPoint joinPoint, Object object) {

        LogVO log = this.getLog( joinPoint, (ResponseWrapper) object, 1 );
        if (log != null) {
            logRepository.save( log );
        }
    }

    */
/**
     * 日志--更新操作(后置通知)
     *
     * @param joinPoint
     * @param object
     *//*

    @AfterReturning(value = "updateCell()", returning = "object")
    public void updateLog(JoinPoint joinPoint, Object object) {

        LogVO log = this.getLog( joinPoint, (ResponseWrapper) object, 2 );
        if (log != null) {
            logRepository.save( log );
        }

    }


    */
/**
     * 日志--删除操作(后置通知)
     *
     * @param joinPoint
     * @param object
     *//*

    @AfterReturning(value = "deleteCell()", returning = "object")
    public void deletesLog(JoinPoint joinPoint, Object object) {

        LogVO log = this.getLog( joinPoint, (ResponseWrapper) object, 3 );
        if (log != null) {
            logRepository.save( log );
        }
    }


    */
/**
     * 日志--增加异常操作(后置通知)
     * 标注该方法体为异常通知，当目标方法出现异常时(try catch 方法体外)执行该方法体
     *
     * @param joinPoint
     * @param object
     *//*

    @AfterThrowing(pointcut = "saveCell()", throwing = "e")
    public void saveLogEx(JoinPoint joinPoint, Exception e) {

        LogVO log = this.getLogEX( joinPoint, e, 1 );
        logRepository.save( log );
    }

    */
/**
     * 日志--更新异常操作(后置通知)
     *
     * @param joinPoint
     * @param object
     *//*

    @AfterThrowing(pointcut = "updateCell()", throwing = "e")
    public void updateLogEx(JoinPoint joinPoint, Exception e) {

        LogVO log = this.getLogEX( joinPoint, e, 2 );
        logRepository.save( log );
    }

    */
/**
     * 日志--删除异常操作(后置通知)
     *
     * @param joinPoint
     * @param object
     *//*

    @AfterThrowing(pointcut = "deleteCell()", throwing = "e")
    public void deletesLogEx(JoinPoint joinPoint, Exception e) {

        LogVO log = this.getLogEX( joinPoint, e, 3 );
        logRepository.save( log );
    }

    //获取日志
    private LogVO getLog(JoinPoint joinPoint, ResponseWrapper wrapper, Integer code) {

        //获取用户
        String userName = currentUtils.getUserName();
        //获取目标签名
        String signature = joinPoint.getSignature().toString();
        // 获取操作内容
        if (wrapper.getInfoCode() == 200) {
            LogVO logVO = new LogVO();

            logVO.setUserName( userName );
            logVO.setCreateDate( new Date() );
            logVO.setTarget( signature );
            logVO.setRemark( wrapper.getMsg() );
            logVO.setStatus( "成功" );
            switch (code) {
                case 1:
                    logVO.setType( "添加" );
                    break;
                case 2:
                    logVO.setType( "更新" );
                    break;
                case 3:
                    logVO.setType( "删除" );
                    break;
            }
            return logVO;
        }
        return null;
    }


    //异常日志
    private LogVO getLogEX(JoinPoint joinPoint, Exception e, Integer code) {

        //获取用户
        String userName = currentUtils.getUserName();
        //获取目标签名
        String signature = joinPoint.getSignature().toString();
        //获取异常信息
        String errorMsg = StringUtils.isEmpty( e.getMessage() ) ? "系统异常" : e.getMessage();

        // 获取操作内容
        LogVO logVO = new LogVO();
        logVO.setUserName( userName );
        logVO.setCreateDate( new Date() );
        logVO.setTarget( signature );
        logVO.setRemark( errorMsg );
        logVO.setStatus( "失败" );
        switch (code) {
            case 1:
                logVO.setType( "添加" );
                break;
            case 2:
                logVO.setType( "更新" );
                break;
            case 3:
                logVO.setType( "删除" );
                break;
        }
        return logVO;
    }
}*/
