package com.unis.user.server.common.restconfig;

import lombok.extern.log4j.Log4j2;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;

/**
 * 功能描述：spring cloud feign 远程调用接口配置。
 * 注意：调用的服务必须在eureka中以注入。
 *
 * @author 李兵
 * @version v1.0
 * @date 2018/06/21 18:02
 */
//@Configuration
@Log4j2
public class RestTemplateConfig {

    @Bean(name = "restTemplate1")
    public RestTemplate restTemplate1() {
        return new RestTemplate();
    }


}
