package com.unis.user.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName UserFunctionDTO
 * @Description TODO
 * @Author XuYixuan
 * @Date 2019/5/14 14:13
 * @Version 1.0
 */
@Data
@ApiModel(value = "常用功能DTO", description = "常用功能DTO")
public class UserFunctionDTO {

    //主键id
    @ApiModelProperty(notes="ID-自动生成",dataType="字符串")
    private Long id;

    /**
     *  用户代码
     */
    @ApiModelProperty(notes="用户代码",dataType="字符串")
    private String userCode;

    /**
     * 用户实际姓名
     */
    @ApiModelProperty(notes="用户实际姓名",dataType="字符串")
    private String userName;

    //功能名称
    @ApiModelProperty(notes="功能名称",dataType="字符串")
    private String functionName;

    //功能url
    @ApiModelProperty(notes="功能url",dataType="字符串")
    private String functionUrl;

    //系统名称
    @ApiModelProperty(notes="模块名称",dataType="字符串")
    private String parentName;

    //图标名称
    @ApiModelProperty(notes="图标名称",dataType="字符串")
    private String imgUrl;

    //是否选中
    @ApiModelProperty(notes="是否选中",dataType="boolean")
    private Boolean selected=false;

}
