package com.unis.user.server.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "SYS_ORGAINZE_NOTICE")
public class OrgainzeNoticeVO extends BaseEntity {
	
	@Id
    @Column(name = "Id")
	private Integer id;
	
	/**
     *  角色编号
     */
    @Column(name = "ORG_CODE")
    private String orgCode;
    
    /**
     *  角色名称
     */
	@Column(name = "USER_CODE")
    private String userCode;
	
	/**
	 * 通知类型
	 */
	@Column(name = "NOTICE_TYPE",length=8)
    private String noticeType;
	
	@Transient
	private String userMobile;
	@Transient
	private String userMail;
	@Transient
	private String orgName;
}
