package com.unis.user.server.model;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

/**
 * 功能描述: 行政区划表
 *
 * @Auther: 蒋青茂
 * @Date: 2018/5/17 13:04
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "BAS_PARAMETER")
public class ParaVO extends BaseEntity {

	@Id
    @Column(name = "PARA_CODE")
    private String paraCode;

    @Column(name = "PARA_NAME")
    private String paraName;

    @Column(name = "TABLE_NAME")
    private String tableName;

    @Column(name = "TABLE_FIELD")
    private String tableField;
}
