package com.unis.user.server;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import tk.mybatis.spring.annotation.MapperScan;

/**
 * TODO description：用户中心管理
 *
 * @author bing.li
 * @version v1.0
 * @date 2018/7/10 11:11
 */

@SpringBootApplication
@EnableFeignClients(basePackages = "com.unis")
@EnableDiscoveryClient
@ComponentScan("com.unis")
@MapperScan("com.unis.user.server.dao")
public class MyuserApplication {
    public static void main(String[] args) {
        SpringApplication.run( MyuserApplication.class, args );
        System.out.println("===============启动成功=======================");
    }

}
