package com.unis.user.server.common.logconfig;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;

/**
 * 功能描述:
 *
 * @Auther: 蒋青茂
 * @Date: 2018/6/11 10:33
 */
@Repository
@Transactional(propagation = Propagation.NESTED,rollbackFor = Exception.class)
public interface LogRepository extends JpaRepository<LogVO, Serializable>, JpaSpecificationExecutor<LogVO> {
}
