package com.unis.user.server.dao;

import com.unis.user.server.model.AreaAllVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface AreaDao  extends Mapper<AreaAllVO> {

    List<AreaAllVO> getProvinByAreaName(@Param("areaName") String areaName);

    List<AreaAllVO> findCountyInfo(@Param("areaName") String name);

    List<AreaAllVO> findCityInfo(@Param("areaName") String name);
}
