package com.unis.user.server.dto;


import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ResourceDTO {
	
	//菜单代码
	private String resourceCode;
	
	//菜单名称
	private String resourceName;
	
	//父菜单代码
	private String parentCode;
	
	//菜单类型
	private String resourceType;
	
	//菜单顺序
	private Integer resourceIndex;

	//功能图标
	private String functionPic;
	
	//菜单小图标
	private String resourcePic;
	
	//菜单扩展图标
	private String resourceExpic;
	
	//菜单描述
	private String resourceDesc;

	//菜单图片
	private String resourceImgId;

	//菜单图片
	private String resourceImgUrl;
	
	//菜单路径
	private String resourceUrl;
	
	//菜单对应表名
	private String resourceTable;
	
	//菜单对应表关键字
	private String resourceKey;
	
	//状态，1：正常，0：已作废
	private Integer statusCode;
	
}
