package com.unis.user.server.dto;

import com.unis.user.server.model.BaseEntity;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.List;

/**
 * 功能描述：部门实体类
 */
@Data
public class SysZzjgDTO extends BaseEntity {

    //部门编号（DP）  在父节点上增加3位流水序号  如北京分公司 DP + 001 = DP001
    private String sxh;

    //组织名称
    private String zzmc;

    //组织编码
    private String zzbm;

    //父级节点
    private String pbm;

    @Transient
    private List ChildMenus = null;
}
