package com.unis.user.server.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.unis.user.server.model.BaseEntity;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.List;

/**
 * 功能描述: 行政区划表
 *
 */

/**
 * 
 */
@Data
public class UserRoleDTO{

	/**
	 *  ID
	 */
    private Long id;

    /**
     *  用户代码
     */
    private String userCode;

    /**
     * 用户实际姓名
     */
    private String userName;

    /**
     * 角色编号
     */
    private List<String> roleCode;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 排序
     */
    private String orderBy;

}
