package com.unis.user.server.enums;

import lombok.Getter;

@Getter
public enum NodeLevelEnum {

    COMMON_NODE(0, "通用类型"),
    COUNTY_COMPANY(9, "县级企业"),
    COUNTY_OFFICE(10, "县级粮食局"),
    CITY_COMPANY(29, "市级企业"),
    CITY_OFFICE(30, "市级粮食局"),
    PROVINCE_COMPANY(49, "省级企业"),
    PROVINCE_OFFICE(50, "省级粮食局"),
    ;

    private Integer code;

    private String message;

    NodeLevelEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
