package com.unis.user.server.model;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

/**
 * 功能描述: 行政区划表
 *
 * @Auther: 蒋青茂
 * @Date: 2018/5/17 13:04
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "BAS_PARA_CONFIG")
public class ParaConfigVO extends BaseEntity {

	
    @Column(name = "PARA_CODE")
    private String paraCode;
	
    @Id
	@Column(name = "CONFIG_CODE")
	private String configCode;
	
	@Column(name = "CONFIG_NAME")
	private String configName;
	
	@Column(name = "CONFIG_VALUE")
	private String configValue;
	
	@Column(name = "CONFIG_LAST_VALUE")
	private String configLastValue;
	
	@Column(name = "ORDER_BY")
	private String orderBy;
	
	@Column(name = "PYM")
	private String pym;
	
	@Column(name = "CONFIG_NAME_EN")
	private String configNameEn;
}
