package com.unis.user.server.model;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;

import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@Entity
@Table(name = "SYS_ROLE_RESOURCE")
public class RoleResourcesVO extends BaseEntity {

	/**
	 *  id
	 */
	@Id
    @Column(name = "ID", length = 32)
    private Integer id;
	
	/**
     *  角色编号
     */
    @Column(name = "ROLE_CODE")
    private String roleCode;
    
    /**
     *  角色名称
     */
    @Column(name = "ROLE_NAME")
    private String roleName;
    
    /**
     *  角色名称
     */
    @Column(name = "RESOURCE_CODE")
    private String resourceCode;
    
    /**
     *  角色名称
     */
    @Column(name = "RESOURCE_NAME")
    private String resourceName;
    
    /**
     * 排序
     */
    @Column(name = "ORDER_BY")
    private Integer orderBy;
}
