package com.unis.user.server.model;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

/**
 * 功能描述：部门实体类
 */
@Getter
@Setter
@Entity
@Table(name = "SYS_ZZJG")
public class SysZzjgPO extends BaseEntity {

    //部门编号（DP）  在父节点上增加3位流水序号  如北京分公司 DP + 001 = DP001
    @Id
    @Column(name = "SXH")
    private String sxh;

    //组织名称
    @Column(name = "ZZMC")
    private String zzmc;

    //组织编码
    @Column(name = "ZZBM")
    private String zzbm;

    //父级节点
    @Column(name = "PBM")
    private String pbm;

    @Transient
    private List<SysZzjgPO> children = new ArrayList<SysZzjgPO>();
}
