package com.unis.user.server.model;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ClassName UserFunctionPO
 * @Description 常用功能实体类
 * @Author XuYixuan
 * @Date 2019/5/14 13:37
 * @Version 1.0
 */
@Data
@Entity
@Table(name = "SYS_USER_FUNCTION")
public class UserFunctionPO{

    /**
     *  ID
     */
    @Id
    @Column(name = "ID")
    private Long id;

    /**
     *  用户代码
     */
    @Column(name = "USER_CODE")
    private String userCode;

    /**
     * 用户实际姓名
     */
    @Column(name = "USER_NAME")
    private String userName;

    //功能名称
    @Column(name = "FUNCTION_NAME", length = 50)
    private String functionName;

    //系统名称
    @Column(name = "PARENT_NAME", length = 50)
    private String parentName;

    //是否删除
    @Column(name = "IS_DELETED")
    private Integer isDeleted;

}
