package com.unis.user.server.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;

/**
 * 功能描述: 行政区划表
 *
 */

/**
 * 
 */
@Getter
@Setter
@ToString
@Entity
@Table(name = "SYS_USER_ROLES")
@JsonIgnoreProperties(ignoreUnknown = true)
public class UserRoleVO extends BaseEntity {

	/**
	 *  ID
	 */
    @Id
    @Column(name = "ID")
    private Integer id;

    /**
     *  用户代码
     */
    @Column(name = "USER_CODE")
    private String userCode;

    /**
     * 用户实际姓名
     */
    @Column(name = "USER_NAME")
    private String userName;

    /**
     * 角色编号
     */
    @Column(name = "ROLE_CODE")
    private String roleCode;

    /**
     * 角色名称
     */
    @Column(name = "ROLE_NAME")
    private String roleName;

    /**
     * 排序
     */
    @Column(name = "ORDER_BY")
    private String orderBy;
    @Transient
    private String orgCode;

}
