package com.unis.user.server.repository;

import com.unis.user.server.model.OrgainzeVO;
import com.unis.user.server.model.SysZzjgPO;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;
import java.util.List;

@Repository
@Transactional(propagation = Propagation.NESTED, rollbackFor = Exception.class)
public interface SyszzjgRepository extends JpaRepository<SysZzjgPO,Serializable>,JpaSpecificationExecutor <SysZzjgPO>{

	SysZzjgPO findByZzbm(String orgCode);

	List<SysZzjgPO> findByPbm(String orgCode);
}


