/*
package com.unis.user.server.server;

import com.unis.common.base.BaseController;
import com.unis.common.utils.LsBeanUtils;
import com.unis.common.utils.vo.UserDTO;
import com.unis.user.server.dto.UserFunctionDTO;
import com.unis.user.server.model.ResourcePO;
import com.unis.user.server.model.UserFunctionPO;
import com.unis.user.server.repository.BaseRepository;
import com.unis.user.server.repository.UserFunctionRepository;
import org.apache.commons.lang.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.stereotype.Service;


import java.util.ArrayList;
import java.util.List;

*/
/**
 * @ClassName CommonFuctionServer
 * @Description 首页 -常用功能
 * @Author XuYixuan
 * @Date 2019/5/14 14:24
 * @Version 1.0
 *//*

@Service
public class CommonFuctionServer extends BaseController {

    @Autowired
    private BaseRepository baseRepository;

    @Autowired
    private UserFunctionRepository userFunctionRepository;

    @Autowired
    private RoleResourcesServer roleResourcesServer;

    //@Autowired
    //private SessionUtil sessionUtil;


    public List<UserFunctionDTO> findByToken() {
        //获取当前用户的角色
        UserDTO userDTO = sessionUtil.getUserInfo();
        List<String> list = userDTO.getUserRole();
        String[] roleIds = list.toArray(new String[list.size()]);
        //获取当前用户的权限菜单
        List<ResourcePO> resourcePOSL1 = roleResourcesServer.findRoleResourcesTree(roleIds, "");
        List<UserFunctionDTO> userFunctionDTOS = new ArrayList<>();
        if (ObjectUtils.notEqual(resourcePOSL1, null) && resourcePOSL1.size()>0) {
            for (int i=0; i<resourcePOSL1.size(); i++){
                List<ResourcePO> resourcePOSL2 = resourcePOSL1.get(i).getChildren();
                for (int j=0; j<resourcePOSL2.size(); j++) {
                    List<ResourcePO> resourcePOSL3 = resourcePOSL2.get(j).getChildren();
                    String parentName = resourcePOSL2.get(j).getResourceName();
                    for (int k=0; k<resourcePOSL3.size(); k++) {
                        ResourcePO resourcePO = resourcePOSL3.get(k);
                        UserFunctionDTO userFunctionDTO = new UserFunctionDTO();
                        userFunctionDTO.setUserCode(userDTO.getUserCode());
                        userFunctionDTO.setUserName(userDTO.getUserName());
                        userFunctionDTO.setParentName(parentName);
                        userFunctionDTO.setFunctionName(resourcePO.getResourceName());
                        userFunctionDTO.setImgUrl(resourcePO.getFunctionPic());
                        //该模块下用户的第一个权限菜单
                        userFunctionDTO.setFunctionUrl(getNo1Resource(resourcePO));

                        userFunctionDTOS.add(userFunctionDTO);
                    }
                }
            }
        } else {
            return new ArrayList<>();
        }
        //从数据库查询
        List<UserFunctionPO> userFunctionPOS = userFunctionRepository.findUserFunctionPOSByUserCodeAndIsDeleted(userDTO.getUserCode(), 0);
        if (ObjectUtils.notEqual(userFunctionPOS, null) && userFunctionPOS.size()>0) {

            for (UserFunctionDTO dto : userFunctionDTOS) {
                for (UserFunctionPO po : userFunctionPOS) {
                    if (po.getFunctionName().equals(dto.getFunctionName())) {
                        dto.setSelected(true);
                        break;
                    }
                }
            }
        }
        return userFunctionDTOS;
    }

   */
/* public List<UserFunctionDTO> findByToken() {
        //获取当前用户的角色
        UserDTO userDTO = sessionUtil.getUserInfo();
        List<String> list = userDTO.getUserRole();
        String[] roleIds = list.toArray(new String[list.size()]);
        //获取当前用户的权限菜单
        List<ResourcePO> resourcePOSL1 = roleResourcesServer.findRoleResourcesTree(roleIds, "");
        List<UserFunctionDTO> userFunctionDTOS = new ArrayList<>();
        if (ObjectUtils.notEqual(resourcePOSL1, null) && resourcePOSL1.size()>0) {
            for (int i=0; i<resourcePOSL1.size(); i++){
                List<ResourcePO> resourcePOSL2 = resourcePOSL1.get(i).getChildren();
                for (int j=0; j<resourcePOSL2.size(); j++) {
                    List<ResourcePO> resourcePOSL3 = resourcePOSL2.get(j).getChildren();
                    String parentName = resourcePOSL2.get(j).getResourceName();
                    for (int k=0; k<resourcePOSL3.size(); k++) {
                        ResourcePO resourcePO = resourcePOSL3.get(k);
                        UserFunctionDTO userFunctionDTO = new UserFunctionDTO();
                        userFunctionDTO.setUserCode(userDTO.getUserCode());
                        userFunctionDTO.setUserName(userDTO.getUserName());
                        userFunctionDTO.setParentName(parentName);
                        userFunctionDTO.setFunctionName(resourcePO.getResourceName());
                        userFunctionDTO.setImgUrl(resourcePO.getFunctionPic());
                        //该模块下用户的第一个权限菜单
                        if (ObjectUtils.notEqual(resourcePO.getChildren().get(0).getChildren(), null) && resourcePO.getChildren().get(0).getChildren().size()>0) {
                            userFunctionDTO.setFunctionUrl(resourcePO.getChildren().get(0).getChildren().get(0).getResourceUrl());
                        } else {
                            userFunctionDTO.setFunctionUrl(resourcePO.getChildren().get(0).getResourceUrl());
                        }
                        userFunctionDTOS.add(userFunctionDTO);
                    }
                }
            }
        } else {
            return new ArrayList<>();
        }
        //从数据库查询
        List<UserFunctionPO> userFunctionPOS = userFunctionRepository.findUserFunctionPOSByUserCodeAndIsDeleted(userDTO.getUserCode(), 0);
        if (ObjectUtils.notEqual(userFunctionPOS, null) && userFunctionPOS.size()>0) {

            for (UserFunctionDTO dto : userFunctionDTOS) {
                for (UserFunctionPO po : userFunctionPOS) {
                    if (po.getFunctionName().equals(dto.getFunctionName())) {
                        dto.setSelected(true);
                        break;
                    }
                }
            }
        }
        return userFunctionDTOS;
    }*//*


    private String getNo1Resource(ResourcePO resourcePO) {
        //判断有没有子集
        //有, 递归判断下一层
        if (ObjectUtils.notEqual(resourcePO.getChildren(), null) && resourcePO.getChildren().size()>0) {
            //获取下一层
            ResourcePO resourcePO1 = resourcePO.getChildren().get(0);
            return getNo1Resource(resourcePO1);

        }
        //没有, 返回本层菜单的url
        return resourcePO.getResourceUrl();

    }

    public void save(List<UserFunctionDTO> list) throws Exception {
        //清空用户常用功能
        userFunctionRepository.deleteAllByUserCode(sessionUtil.getUserId());
        if (ObjectUtils.notEqual(list, null) && list.size()>0) {
            //List<UserFunctionPO> userFunctionPOS2 = userFunctionRepository.findUserFunctionPOSByUserCodeAndIsDeleted(sessionUtil.getUserId(), 0);
            for (UserFunctionDTO dto : list) {
                UserFunctionPO userFunctionPO = LsBeanUtils.copyProperties(dto, UserFunctionPO.class);
                Long id = baseRepository.selectLongIdByTableNameAndAttr("SYS_USER_FUNCTION", "ID");
                userFunctionPO.setIsDeleted(0);
                userFunctionPO.setId(id);
                userFunctionRepository.save(userFunctionPO);
            }
        }
    }
}
*/
