package com.unis.user.server.service.impl;

import com.unis.user.common.vo.plug.PlugDeviceVO;
import com.unis.user.server.domain.plug.PlugDeviceDomain;
import com.unis.user.server.service.PlugDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.util.List;

//@Component
public class ApplicationRunnerImpl implements ApplicationRunner {

    @Autowired
    PlugDeviceService plugDeviceService;

    @Autowired
    PlugDeviceDomain plugDeviceDomain;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        PlugDeviceVO plugDeviceVO=new PlugDeviceVO();
        List<PlugDeviceVO> plugList=plugDeviceDomain.selectByEntity(plugDeviceVO);
        for(PlugDeviceVO temp:plugList){
            plugDeviceService.startByIdResult(temp);
        }
    }
}
